package com.kaixed.kchat.utils

/**
 * @Author: kaixed
 * @Date: 2024/10/25 14:38
 */
enum class MessageType(val value: Int) {
    CUSTOM(0),
    TIP(1),
    IMAGE(2),
    VOICE(3),
    LOCATION(4),
    EMOJI(5),
    RED_PACKET(6);

    companion object {
        fun fromValue(value: Int): MessageType? {
            return entries.find { it.value == value }
        }
    }
}

